import { LogLevel } from './LogLevel';
interface BindTarget {
    [key: string]: Function;
}
export interface FactoryLevels extends Record<Uppercase<string>, number> {
    SILENT: number;
}
export interface Factory {
    [key: string]: any;
    bindMethod: (obj: BindTarget, methodName: string) => any;
    distillLevel: (level: number | string) => any;
    levelValid: (level: number | string) => boolean;
    levels: FactoryLevels;
    logger: LogLevel;
    make: (methodName: string) => Function;
    methods?: string[];
    replaceMethods: (logLevel: number | string) => void;
}
export declare const MethodFactoryLevels: FactoryLevels;
export declare class MethodFactory implements Factory {
    constructor(logger: LogLevel);
    get levels(): typeof MethodFactoryLevels;
    get logger(): LogLevel;
    set logger(logger: LogLevel);
    get methods(): string[];
    bindMethod(obj: BindTarget, methodName: string): any;
    distillLevel(level: number | string): string | number | null;
    levelValid(level: number | string): boolean;
    make(methodName: string): Function;
    replaceMethods(logLevel: number | string): void;
}
export {};
