import { LogLevel } from './LogLevel';
import { MethodFactory } from './MethodFactory';
export interface PrefixTemplateOptions {
    level: string;
    logger: LogLevel;
}
export declare type PrefixTemplateFn = (options: PrefixTemplateOptions) => string;
export interface PrefixFactoryOptions {
    [key: string]: PrefixTemplateFn | string | undefined;
    level?: PrefixTemplateFn;
    name?: PrefixTemplateFn;
    template?: string;
    time?: PrefixTemplateFn;
}
export declare class PrefixFactory extends MethodFactory {
    private options;
    constructor(logger: LogLevel, options: PrefixFactoryOptions);
    interpolate(level: string): string;
    make(methodName: string): (...args: any[]) => void;
}
